Show / Hide Table of Contents

# Enum Direction

Specifies the direction of where message(s) should be retrieved from.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public enum Direction

##### Remarks

This enum is used to specify the direction for retrieving messages.

##### important

At the time of writing, Around is not yet implemented into GetMessagesAsync(Int32, CacheMode, RequestOptions). Attempting to use the method with Around will throw a System.NotImplementedException.

### Fields

Name | Description
--- | ---
After | The message(s) should be retrieved after a message.
Around | The message(s) should be retrieved around a message.
Before | The message(s) should be retrieved before a message.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()